質問編集履歴

1 題名の変更

i_r__man

i_r__man score 18

2018/11/25 14:41  投稿

初心者です。rails sが出来なくなってしまいました
初心者です。ActiveSupport::MessageEncryptor::InvalidMessageのエラーが出てきます
初心者です。
railsでサービス開発をしているのですが、rails sを実行したときによくわからないエラーに引っかかってしまいました。
今までできていたので、原因がよくつかめません。
バージョンは
ruby=>2.5.3
rails=>5.2.1
です。
railsのバージョン的にsqlite3が使えないとのことで、
コマンドラインで
gem uninstall -a sqlite3
gem install sqlite3 --platform=ruby
をやってから
rails serverを実行してみたところ、以下のようなエラーが出てきました。
![イメージ説明](bd09c3777dabdd2d12c8fd6862895180.png)
sqlite3周りをいじっていたらこのようなエラーが出てきてしまっている気がします。
他のデータベースに変更するべきなのでしょうか?
お手柔らかにお願いします…!
  • Ruby on Rails 5

    5726 questions

    Ruby on Rails 5は、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

思考するエンジニアのためのQ&Aサイト「teratail」について詳しく知る